Bug 245418 - cad/PrusaSlicer: Fix build
Summary: cad/PrusaSlicer: Fix build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Fernando Apesteguía
URL:
Keywords: buildisok, easy, needs-qa
Depends on:
Blocks:
 
Reported: 2020-04-07 08:01 UTC by teodorsigaev@gmail.com
Modified: 2020-04-14 09:23 UTC (History)
2 users (show)

See Also:
koobs: merge-quarterly?


Attachments
Update Makefile for correct CGAL library (687 bytes, patch)
2020-04-07 08:01 UTC, teodorsigaev@gmail.com
teodorsigaev: maintainer-approval+
Details | Diff
Update Makefile for correct CGAL library, maintainer email update (935 bytes, patch)
2020-04-07 08:27 UTC, teodorsigaev@gmail.com
teodorsigaev: maintainer-approval+
Details | Diff
Update Makefile for correct CGAL library, maintainer email update (936 bytes, patch)
2020-04-07 08:40 UTC, teodorsigaev@gmail.com
teodorsigaev: maintainer-approval+
Details | Diff
additional improvements on top of submitter's patch (1.34 KB, patch)
2020-04-09 17:02 UTC, Fernando Apesteguía
teodorsigaev: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description teodorsigaev@gmail.com 2020-04-07 08:01:38 UTC
Created attachment 213146 [details]
Update Makefile for correct CGAL library

I've got a email from pkg-fallout about build fail of cad/PrusaSlicer. So, it's a real fail on fresh installation of FreeBSD. Suggested patch fix that.

Actually, mistake make able to build package only if devel/CGAL library is already installed in system, in this case configure step runs successful. Makefile updated to work correctly, checked on fresh Amazon instance of FreeBSD.
Comment 1 Bugzilla Automation freebsd_committer 2020-04-07 08:01:38 UTC
Maintainer informed via mail
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-04-07 08:06:09 UTC
Thank you for the report and patch. Could you please update your Bugzilla email address to match the MAINTAINER line in your ports, as this allows us to verify/confirm maintainer/ship easily. Thanks!
Comment 3 teodorsigaev@gmail.com 2020-04-07 08:27:07 UTC
Created attachment 213147 [details]
Update Makefile for correct CGAL library, maintainer email update

New version, update maintainer email
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-04-07 08:28:15 UTC
Thanks!
Comment 5 teodorsigaev@gmail.com 2020-04-07 08:40:29 UTC
Created attachment 213148 [details]
Update Makefile for correct CGAL library, maintainer email update

Mistype in email fix
Comment 6 Automation User 2020-04-07 23:21:04 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/133543836
Comment 7 Fernando Apesteguía freebsd_committer 2020-04-09 17:02:52 UTC
Created attachment 213224 [details]
additional improvements on top of submitter's patch

Hi Teodor!

Thanks for the patch. I updated a new version that fixes some dependencies issues. Would you mind having a look at it? 

Also, you might be interested in using ports-mgmt/portlint and ports-mgmt/poudriere. These tools catch most if not all of the common pitfalls we face when updating ports.

You can have more information here: 

https://www.freebsd.org/doc/en/books/porters-handbook/book.html#testing-poudriere
https://www.freebsd.org/doc/en/books/porters-handbook/book.html#porting-portlint

Cheers
Comment 8 teodorsigaev@gmail.com 2020-04-09 17:32:09 UTC
I haven't an objection about your changes.

I used portlint to check my original patch for upgrading 2.2, and got some gripes  from it, fixed in original patch. I will try poudriere next time, but it will not be  easy for me because, for a first glance, it uses both jail and zsh which I'm not using yet.
Comment 9 commit-hook freebsd_committer 2020-04-10 09:26:07 UTC
A commit references this bug:

Author: fernape
Date: Fri Apr 10 09:25:43 UTC 2020
New revision: 531301
URL: https://svnweb.freebsd.org/changeset/ports/531301

Log:
  cad/PrusaSlicer: fix build

  Add devel/CGAL dependency.

  While here:

   * Change MAINTAINER email
   * Add missing LIB_DEPENDS
   * Add missing USES

  PR:	245418
  Submitted by:	teodorsigaev@gmail.com (maintainer)

Changes:
  head/cad/PrusaSlicer/Makefile
Comment 10 Fernando Apesteguía freebsd_committer 2020-04-10 09:27:18 UTC
Committed,

Thanks!
Comment 11 teodorsigaev@gmail.com 2020-04-10 09:45:09 UTC
Thank you very much!
Comment 12 teodorsigaev@gmail.com 2020-04-12 20:01:16 UTC
I'm very sorry but pkg-fallout@FreeBSD.org doesn't happy with USES=glu:

/!\ ERRORS /!\

Unknown USES=glu

*** Error code 1

Stop.
make: stopped in /usr/ports/cad/PrusaSlicer


Should I a report a new bug and suggest a fix?
Comment 13 teodorsigaev@gmail.com 2020-04-12 20:02:07 UTC
Reopen because build fail
Comment 14 Fernando Apesteguía freebsd_committer 2020-04-12 20:36:57 UTC
(In reply to teodorsigaev@gmail.com from comment #12)

No need, I'll investigate it. Thanks!
Comment 15 commit-hook freebsd_committer 2020-04-13 14:45:46 UTC
A commit references this bug:

Author: fernape
Date: Mon Apr 13 14:45:33 UTC 2020
New revision: 531608
URL: https://svnweb.freebsd.org/changeset/ports/531608

Log:
  cad/PrusaSlicer: unbreak

  Remove bad USES = glu and add USES_GL = glu

  PR:	245418
  Reported by:	antoine@

Changes:
  head/cad/PrusaSlicer/Makefile
Comment 16 Fernando Apesteguía freebsd_committer 2020-04-13 15:20:42 UTC
Should be fixed now.
Comment 17 teodorsigaev@gmail.com 2020-04-14 09:23:49 UTC
Confirm, fixed. Thank you!